Create Onramp Session
curl --request POST \
--url https://api.coinvoyage.io/v3/onramp/intents/{intent_id}/session \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"auth_intent_id": "lai_test_123",
"crypto_customer_id": "ccus_test_123",
"payment_token": "cpt_test_123"
}
'import requests
url = "https://api.coinvoyage.io/v3/onramp/intents/{intent_id}/session"
payload = {
"auth_intent_id": "lai_test_123",
"crypto_customer_id": "ccus_test_123",
"payment_token": "cpt_test_123"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auth_intent_id: 'lai_test_123',
crypto_customer_id: 'ccus_test_123',
payment_token: 'cpt_test_123'
})
};
fetch('https://api.coinvoyage.io/v3/onramp/intents/{intent_id}/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"quote_expires_at": 123
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}onramp
Create Onramp Session
Create a headless Stripe embedded onramp session from a server-held onramp intent using the server-held Link OAuth access token. If Stripe identity or KYC action is required, this endpoint returns 422 with action fields in error.details, including status, reason, kyc_next_step, kyc_status, kyc_required, identity_verification_required, and identity_verification_status.
POST
/
onramp
/
intents
/
{intent_id}
/
session
Create Onramp Session
Authorizations
Headers
API key for authentication
Path Parameters
Body
application/json
Stripe Link auth intent ID returned by /onramp/auth/intent
Example:
"lai_test_123"
Crypto customer ID returned by the Stripe embedded component after Link authentication
Example:
"ccus_test_123"
cryptoPaymentToken returned by the Stripe embedded component payment method collection step
Example:
"cpt_test_123"
Was this page helpful?
⌘I